be.ehealth.technicalconnector.service.keydepot

## Interface KeyDepotManager

- All Known Implementing Classes:
    KeyDepotManagerImpl

      public interface KeyDepotManager

  Interface for KeyDepotManager
  In order to use ETEE service, the sender has to search the ETK in the ETK Depot via the getETK method, which is based on specific input criteria that identify the to-be-found ETK of the receiver uniquely.
  The ETK Depot is accessible via an eHealth web service. The web service URL for the ETEE getETK web service can be obtained by contacting the eHealth platform. You will require an eHealth authentication certificate to access it.

  Factory : `KeyDepotManagerFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `KeyDepotManager.EncryptionTokenType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptionToken` | `getETK(IdentifierType identifierType, Long identifierValue, String application)` Gets the `EncryptionToken` based on the input parameters
    `EncryptionToken` | `getETK(KeyDepotManager.EncryptionTokenType type)` Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
    `Set<EncryptionToken>` | `getETKs(IdentifierType identifierType, Long identifierValue, String application)` Gets the a `Set` of `EncryptionToken` based on the input parameters.
    `void` | `setKeyDepotService(KeyDepotService service)` Method to override the `KeyDepotService` used by the manager.

- - ### Method Detail

    - #### getETK

          EncryptionToken getETK(KeyDepotManager.EncryptionTokenType type)
                          throws TechnicalConnectorException

      Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
      Throws:
        `TechnicalConnectorException`

    - #### getETK

          EncryptionToken getETK(IdentifierType identifierType,
                                 Long identifierValue,
                                 String application)
                          throws TechnicalConnectorException

      Gets the `EncryptionToken` based on the input parameters
      Throws:
        `TechnicalConnectorException`

    - #### getETKs

          Set<EncryptionToken> getETKs(IdentifierType identifierType,
                                       Long identifierValue,
                                       String application)
                                throws TechnicalConnectorException

      Gets the a `Set` of `EncryptionToken` based on the input parameters.
      Throws:
        `TechnicalConnectorException`

    - #### setKeyDepotService

          void setKeyDepotService(KeyDepotService service)

      Method to override the `KeyDepotService` used by the manager.

      Default: `ServiceFactory.getKeyDepotService()`

Connector Packaging PERSAUDIOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.